VMTKIMAGECOMPARE(1)

NAME
vmtkimagecompare - vmtk script vmtkimagecompare

DESCRIPTION
Automatic piping vmtkimagecompare Parsing options vmtkimagecompare

vmtkimagecompare : compares an image against a reference

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-r ReferenceImage (vtkImageData,1): the reference image to compare

    against

-rfile ReferenceImageInputFileName (str,1): filename for the

    default ReferenceImage reader

-method Method (str,1) in ['subtraction', 'range']: method of the

    test

-tolerance Tolerance (float,1); default=1e-08: tolerance for

    numerical comparisons

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-result Result (bool,1): Output boolean stating if images are equal

    or not

-log ResultLog (str,1): Result Log